package com.rjconsultores.ventaboletos.vo.pricing;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class GP_PricingOcupaAntecipaPoltronasVO {
	
	public static final Integer MAXPOLTRONAS = 100;

	public static final String COR_BRANCA = "#FFFFFF";

	private Integer pricingocupaantecipaId;
	private Integer poltrona;
	private String cor;
	private BigDecimal percentual;
	
	public GP_PricingOcupaAntecipaPoltronasVO() {
		super();
	}

	public GP_PricingOcupaAntecipaPoltronasVO(Integer poltrona, String cor) {
		this();
		this.poltrona = poltrona;
		this.cor = cor;
	}
	
	public GP_PricingOcupaAntecipaPoltronasVO(GP_PricingOcupaAntecipaPoltronasVO poltrona) {
		this();
		this.poltrona = poltrona.getPoltrona();
		this.cor = poltrona.getCor();
		this.percentual = poltrona.getPercentual();
		this.pricingocupaantecipaId = poltrona.getPricingocupaantecipaId();
	}

	public Integer getPoltrona() {
		return poltrona;
	}

	public void setPoltrona(Integer poltrona) {
		this.poltrona = poltrona;
	}

	public String getCor() {
		return cor;
	}

	public void setCor(String cor) {
		this.cor = cor;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((poltrona == null) ? 0 : poltrona.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof GP_PricingOcupaAntecipaPoltronasVO))
			return false;
		GP_PricingOcupaAntecipaPoltronasVO other = (GP_PricingOcupaAntecipaPoltronasVO) obj;
		if (getPoltrona() == null) {
			if (other.getPoltrona() != null)
				return false;
		} else if (!getPoltrona().equals(other.getPoltrona()))
			return false;
		return true;
	}

	public BigDecimal getPercentual() {
		return percentual;
	}

	public void setPercentual(BigDecimal percentual) {
		this.percentual = percentual;
	}
	
	public static List<GP_PricingOcupaAntecipaPoltronasVO> carregarPoltronasPadrao() {
		List<GP_PricingOcupaAntecipaPoltronasVO> retorno = new ArrayList<GP_PricingOcupaAntecipaPoltronasVO>();
		for (int i = 1; i <= MAXPOLTRONAS; i++) {
			retorno.add(new GP_PricingOcupaAntecipaPoltronasVO(i, COR_BRANCA));
		}
		return retorno;
	}

	@Override
	public String toString() {
		return "GP_PricingOcupaAntecipaPoltronasVO [poltrona=" + poltrona + ", cor=" + cor + ", percentual=" + percentual + "]";
	}
	
	public boolean isAdicionar() {
		return getCor() == null || !COR_BRANCA.equals(getCor().toUpperCase());
	}

	public Integer getPricingocupaantecipaId() {
		return pricingocupaantecipaId;
	}

	public void setPricingocupaantecipaId(Integer pricingocupaantecipaId) {
		this.pricingocupaantecipaId = pricingocupaantecipaId;
	}

}
